CFD Online Logo CFD Online URL
www.cfd-online.com
[Sponsors]
Home > Forums > Software User Forums > OpenFOAM > OpenFOAM Installation

[OpenFOAM.org] Problem of openFOAM 2.3.1 installation in Ubuntu 14.04LTS

Register Blogs Members List Search Today's Posts Mark Forums Read

Reply
 
LinkBack Thread Tools Search this Thread Display Modes
Old   January 10, 2015, 00:58
Exclamation Problem of openFOAM 2.3.1 installation in Ubuntu 14.04LTS
  #1
Senior Member
 
Mominul MuKuT
Join Date: Mar 2009
Location: Bangladesh
Posts: 124
Rep Power: 13
mukut is on a distinguished road
Dear FOAMers!

Recently I have installed OpenFOAM 2.3.1, earlier I have used version 2.1.1

After installation of openfoam 2.3.1, when I run e terminal following error message displayed in terminal:

PHP Code:
ccerrorunrecognized command line option ‘--showme:link’ 
I have checked here (http://www.openfoam.org/download/ubuntu.php) under INSTALLATION PROBLEM.

when I ran the command:

PHP Code:
sudo update-alternatives --list mpi 
in the terminal following appeard

PHP Code:
/usr/include/lam
/usr/include/mpich 
Then according to suggestion of the link given above: when I ran the command
PHP Code:
sudo update-alternatives --set mpi /usr/lib/openmpi/include 
following error appeared

PHP Code:
update-alternativeserroralternative /usr/lib/openmpi/include for mpi not registerednot setting 
How to solve this issue?

BR
mukut
mukut is offline   Reply With Quote

Old   January 10, 2015, 16:50
Default
  #2
Retired Super Moderator
 
Bruno Santos
Join Date: Mar 2009
Location: Lisbon, Portugal
Posts: 10,958
Blog Entries: 45
Rep Power: 122
wyldckat is a name known to allwyldckat is a name known to allwyldckat is a name known to allwyldckat is a name known to allwyldckat is a name known to allwyldckat is a name known to all
Greetings mukut,

A few questions:
  1. Which installation instructions did you follow to install OpenFOAM 2.3.1?
  2. Did you uninstall OpenFOAM 2.1.1? If you did, then what steps did you perform?
Best regards,
Bruno
wyldckat is offline   Reply With Quote

Old   January 11, 2015, 02:33
Default
  #3
Senior Member
 
Mominul MuKuT
Join Date: Mar 2009
Location: Bangladesh
Posts: 124
Rep Power: 13
mukut is on a distinguished road
Thanks Mr. Bruno!

Ans for 1st Q: I am using these steps to install openFOAM 2.3.1: https://www.youtube.com/watch?v=LkLgwm64jGI

ans for 2nd Q: I just deleted openFOAM 2.1.1 folder.....


I have informed the youtuber who has given the tutorial regarding my issue: he replied as follows:
PHP Code:
If you followed the instructions of the videothe openmpi path should be

/home/sharials/OpenFOAM/ThirdParty-2.3.0/platforms/linux64Gcc/openmpi-1.6.5/include

You just have to exchange 'sharials' for your username.

Now you run:
sudo update-alternatives --list mpi /home/YOUR_NAME_HERE/OpenFOAM/ThirdParty-2.3.0/platforms/linux64Gcc/openmpi-1.6.5/include

Hope that helps! 
So when I ran the command as he mentioned in the reply in my terminal error showed as follows:
PHP Code:
ccerrorunrecognized command line option ‘--showme:link’
mukut@mukut-Endeavor-MR3300:~$ sudo update-alternatives --list mpi /home/mukut/OpenFOAM/ThirdParty-2.3.0/platforms/linux64Gcc/openmpi-1.6.5/include
[
sudopassword for mukut
update-alternativeserrorunknown argument `/home/mukut/OpenFOAM/ThirdParty-2.3.1/platforms/linux64Gcc/openmpi-1.6.5/include' 
What should I do?

Regards
mukut
mukut is offline   Reply With Quote

Old   January 11, 2015, 03:01
Default
  #4
Senior Member
 
Mominul MuKuT
Join Date: Mar 2009
Location: Bangladesh
Posts: 124
Rep Power: 13
mukut is on a distinguished road
Dear Mr. Bruno!

Shall I have to install the OF and then a fresh installation? I am waiting for your reply.

I have ran a case, it works fine. After comparing results, I will inform you.

Actually what is the effect due to show link cc error???

BR
mukut
mukut is offline   Reply With Quote

Old   January 11, 2015, 03:03
Default Hi
  #5
New Member
 
Join Date: Aug 2013
Posts: 18
Rep Power: 9
p0kerus is on a distinguished road
Hi Mukut;
You need to see if these files are installed
Code:
sudo apt-get install libopenmpi-dev openmpi-bin
As i can see you have two mpi installed you have to make symbolic link to ensure correct global mpi
Code:
ln -s /usr/bin/mpicc.openmpi OpenFOAM-2.3.0/bin/mpicc
ln -s /usr/bin/mpirun.openmpi OpenFOAM-2.3.0/bin/mpirun
And if you have still have error follow this guide https://openfoamwiki.net/index.php/I...u#Ubuntu_14.04

Or you can use prebuild openfoam installtion script that i have posted on forum.

Regards;
p0kerus
p0kerus is offline   Reply With Quote

Old   January 11, 2015, 04:38
Default
  #6
Senior Member
 
Mominul MuKuT
Join Date: Mar 2009
Location: Bangladesh
Posts: 124
Rep Power: 13
mukut is on a distinguished road
Dear Mr. p0kerus!

Thanks a lot!

After running your 1st command in terminal, the installation completed by download file.
Then I run 2nd two commands in the terminal:

mukut@mukut-Endeavor-MR3300:~$ ln -s /usr/bin/mpicc.openmpi OpenFOAM-2.3.1/bin/mpicc
ln: failed to create symbolic link ‘OpenFOAM-2.3.1/bin/mpicc’: No such file or directory
mukut@mukut-Endeavor-MR3300:~$ ln -s /usr/bin/mpicc.openmpi OpenFOAM-2.3.1/bin/mpicc
ln: failed to create symbolic link ‘OpenFOAM-2.3.1/bin/mpicc’: No such file or directory
mukut@mukut-Endeavor-MR3300:~$


Anyway, after that I have closed the terminal and open again but there is no error as I posted here.

Does it really solve?

Regards
mukut
mukut is offline   Reply With Quote

Old   January 11, 2015, 13:56
Default
  #7
Retired Super Moderator
 
Bruno Santos
Join Date: Mar 2009
Location: Lisbon, Portugal
Posts: 10,958
Blog Entries: 45
Rep Power: 122
wyldckat is a name known to allwyldckat is a name known to allwyldckat is a name known to allwyldckat is a name known to allwyldckat is a name known to allwyldckat is a name known to all
Greetings to all!

FYI: Instructions for compiling OpenFOAM 2.3.1 on Ubuntu 14.04 have been available on the wiki since at least the 31st of December of 2014: https://openfoamwiki.net/index.php/I...u#Ubuntu_14.04 - therefore, there is no need to go around trying to manually replace occurrences of "2.3.0" by "2.3.1".

@mukut: It seems that you jumped from some other step directly to step #5. Please follow the steps in the correct order (from 1 to 12), in order for them to work as expected.

Best regards,
Bruno
__________________
wyldckat is offline   Reply With Quote

Old   January 12, 2015, 01:55
Default
  #8
Senior Member
 
Mominul MuKuT
Join Date: Mar 2009
Location: Bangladesh
Posts: 124
Rep Power: 13
mukut is on a distinguished road
Quote:
Originally Posted by wyldckat View Post
Greetings to all!

FYI: Instructions for compiling OpenFOAM 2.3.1 on Ubuntu 14.04 have been available on the wiki since at least the 31st of December of 2014: https://openfoamwiki.net/index.php/I...u#Ubuntu_14.04 - therefore, there is no need to go around trying to manually replace occurrences of "2.3.0" by "2.3.1".

@mukut: It seems that you jumped from some other step directly to step #5. Please follow the steps in the correct order (from 1 to 12), in order for them to work as expected.

Best regards,
Bruno
Thanks a lot Mr. Bruno.

After p0kerus reply, the show link error didn't show in terminal and I am using openFoam. In this situation, I need your suggestion. Shall I continue to use openFOAM or uninstall it and then use the steps to install that the link you have given in last reply?

Regards
mukut
mukut is offline   Reply With Quote

Old   January 18, 2015, 15:55
Default
  #9
Retired Super Moderator
 
Bruno Santos
Join Date: Mar 2009
Location: Lisbon, Portugal
Posts: 10,958
Blog Entries: 45
Rep Power: 122
wyldckat is a name known to allwyldckat is a name known to allwyldckat is a name known to allwyldckat is a name known to allwyldckat is a name known to allwyldckat is a name known to all
Hi mukut,

If your OpenFOAM installation is now working, then no need to rebuild it again. Feel free to use it as it is.

Either way, if you see one or more situations where you think that something might be broken in your installation, then perhaps it's best to remove the current installation and start over.

Best regards,
Bruno
wyldckat is offline   Reply With Quote

Old   January 19, 2015, 01:48
Default
  #10
Senior Member
 
Mominul MuKuT
Join Date: Mar 2009
Location: Bangladesh
Posts: 124
Rep Power: 13
mukut is on a distinguished road
Quote:
Originally Posted by wyldckat View Post
Hi mukut,

If your OpenFOAM installation is now working, then no need to rebuild it again. Feel free to use it as it is.

Either way, if you see one or more situations where you think that something might be broken in your installation, then perhaps it's best to remove the current installation and start over.

Best regards,
Bruno

Dear Mr. Bruno

Thank you so much. OF works fine, thanks again
mukut is offline   Reply With Quote

Reply

Tags
cc error, installation issue, openfoam 2.3.x

Thread Tools Search this Thread
Search this Thread:

Advanced Search
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off
Trackbacks are Off
Pingbacks are On
Refbacks are On


Similar Threads
Thread Thread Starter Forum Replies Last Post
[OpenFOAM.org] Problem during installation of openfoam 2.3.0 on ubuntu 16.04 jarvis OpenFOAM Installation 2 March 20, 2018 09:32
[OpenFOAM.org] Problem Installing OpenFOAM V 2.3.1 in Ubuntu 17.04 tareqkh OpenFOAM Installation 1 September 2, 2017 11:10
[OpenFOAM.org] Ubuntu 14.04 LTS OpenFoam 4.1 Installation Error behzad-cfd OpenFOAM Installation 2 March 5, 2017 03:44
[OpenFOAM.org] OpenFoam 3.0 installation on Ubuntu 14.04.3 tab2001ng OpenFOAM Installation 3 March 8, 2016 02:38
[OpenFOAM.org] OpenFOAM 2.4.x installation script for ubuntu p0kerus OpenFOAM Installation 0 June 1, 2015 16:52


All times are GMT -4. The time now is 00:14.